# Flutter Wrapper
-keep class io.flutter.app.** { *; }
-keep class io.flutter.plugin.**  { *; }
-keep class io.flutter.util.**  { *; }
-keep class io.flutter.view.**  { *; }
-keep class io.flutter.**  { *; }
-keep class io.flutter.plugins.**  { *; }

# Hive & Models (CRITICAL for Release Build)
-keep class com.posimai.ponshu_room_lite.models.** { *; }
-keep class com.posimai.ponshu_room_lite.models.schema.** { *; }
-keep class com.posimai.ponshu_room_lite.models.hive_adapters.** { *; }
-keep class * extends com.google.protobuf.GeneratedMessageLite { *; }

# Riverpod
-keep class androidx.lifecycle.DefaultLifecycleObserver

# Google Sign In
-keep class com.google.android.gms.** { *; }

# External Libraries
-dontwarn io.flutter.plugins.**
-dontwarn com.google.android.gms.**
